<div class="container">
  <div class="row">
    <div class="left">
      <h5>Outgoing Flight</h5>
      <form id="findFlightForm" [formGroup]="findFlightForm"
        (ngSubmit)="onSubmit(findFlightForm.value, returnEtd.value)">
        <div>
          <label for="origin">
            Origin
          </label>
          <select name="origin" formControlName="origin" (change)="originChange($event.target.value)">
            <option value="" selected disabled hidden>Select an origin</option>
            <option *ngFor="let x of locations" value="{{x.Code}}" id="{{x.Code}}" #origin>
              {{x.Code}} | {{x.Destination}}
            </option>
          </select>
        </div>
        <div>
          <label for="destination">
            Destination
          </label>
          <select name="destination" formControlName="destination" (change)="destinationChange($event.target.value)">
            <option value="" selected disabled hidden>Select a destination</option>
            <option *ngFor="let x of locations" value="{{x.Code}}" id="{{x.Code}}" #destination>
              {{x.Code}} | {{x.Destination}}
            </option>
          </select>
        </div>
        <div>
          <label for="etd">
            Departure Date
          </label>
          <input id="etd" type="date" formControlName="etd">
        </div>
        <h5>Return Flight</h5>
        <div>
          <label for="returnOrigin">
            Origin
          </label>
          {{outFlight.origin.display}}
        </div>
        <div>
          <label for="returnDestination">
            Destination
          </label>
          {{outFlight.destination.display}}
        </div>
        <div>
          <label for="returnEtd">
            Departure Date
          </label>
          <input id="returnEtd" type="date" #returnEtd>
        </div>
        <button type="submit">Find Flights</button>
      </form>
    </div>


    <div class="right">
      <br>
      <div class="results" *ngIf="departureSearchResult; else elseBlock">
        <form [formGroup]="selectedFlight" (ngSubmit)="cart(selectedFlight.value)">
          <table class="mat-elevation-z8">
            <tr>
              <th></th>
              <th>Code</th>
              <th>Airline</th>
              <th>From</th>
              <th>To</th>
              <th>Estimated Departure</th>
              <th>Estimated Arrival</th>
              <th>Price</th>
            </tr>
            <tr *ngFor="let x of departureSearchResult">
              <input type="radio" name="toFlight" value={{x.FlightCode}} formControlName="toFlight">
              <td>{{x.FlightCode}}</td>
              <td>{{x.Airline}}</td>
              <td>{{x.Origin}}</td>
              <td>{{x.Destination}}</td>
              <td>{{x.ETD_date}}</td>
              <td>{{x.ETA_date}}</td>
              <td>{{x.Price}}</td>
            </tr>
          </table>
          <div class="results" *ngIf="returnSearchResult; else elseBlock">
            <table class="mat-elevation-z8">
              <tr>
                <th></th>
                <th>Code</th>
                <th>Airline</th>
                <th>From</th>
                <th>To</th>
                <th>Estimated Departure</th>
                <th>Estimated Arrival</th>
                <th>Price</th>
              </tr>
              <tr *ngFor="let x of returnSearchResult">
                <input type="radio" name="fromFlight" value={{x.FlightCode}} formControlName="fromFlight">
                <td>{{x.FlightCode}}</td>
                <td>{{x.Airline}}</td>
                <td>{{x.Origin}}</td>
                <td>{{x.Destination}}</td>
                <td>{{x.ETD_date}}</td>
                <td>{{x.ETA_date}}</td>
                <td>{{x.Price}}</td>
              </tr>
            </table>
          </div>
          <ng-template #elseBlock>
            <table class="mat-elevation-z8">
              <tr>
                <th>Code</th>
                <th>Airline</th>
                <th>From</th>
                <th>To</th>
                <th>Estimated Departure</th>
                <th>Estimated Arrival</th>
                <th>Price</th>
              </tr>
              <tr>
                <td colspan="5">No return flights found</td>
              </tr>
            </table>
          </ng-template>
          <div *ngIf="roundSearch(returnSearchResult,departureSearchResult);">
            <button type="submit">Book flights</button>
          </div>
        </form>
      </div>
      <ng-template #elseBlock>
        <br>
        <table class="mat-elevation-z8">
          <tr>
            <th>Code</th>
            <th>Airline</th>
            <th>From</th>
            <th>To</th>
            <th>Estimated Departure</th>
            <th>Estimated Arrival</th>
            <th>Price</th>
          </tr>
          <tr>
            <td colspan="5">No outbound flights found</td>
          </tr>
        </table>
        <div class="results" *ngIf="returnSearchResult; else elseBlock">
          <table class="mat-elevation-z8">
            <tr>
              <th></th>
              <th>Code</th>
              <th>Airline</th>
              <th>From</th>
              <th>To</th>
              <th>Estimated Departure</th>
              <th>Estimated Arrival</th>
              <th>Price</th>
            </tr>
            <tr *ngFor="let x of returnSearchResult">
              <input type="radio" name="fromFlight" value={{x.FlightCode}}>
              <td>{{x.FlightCode}}</td>
              <td>{{x.Airline}}</td>
              <td>{{x.Origin}}</td>
              <td>{{x.Destination}}</td>
              <td>{{x.ETD_date}}</td>
              <td>{{x.ETA_date}}</td>
              <td>{{x.Price}}</td>
            </tr>
          </table>
        </div>
        <ng-template #elseBlock>
          <table class="mat-elevation-z8">
            <tr>
              <th>Code</th>
              <th>Airline</th>
              <th>From</th>
              <th>To</th>
              <th>Estimated Departure</th>
              <th>Estimated Arrival</th>
              <th>Price</th>
            </tr>
            <tr>
              <td colspan="5">No return flights found</td>
            </tr>
          </table>
        </ng-template>
      </ng-template>
    </div>
  </div>
</div>
